Oni Central Forum

A forum for the Oni community

You are not logged in.

#1 8/2/14 18:20

muro960
Member
Registered: 8/2/14

Error with AEInstaller

Hi there! Im new on this forum but i visited it often in the past. I im a ONI fun since i was a child and this game inspires me a lot, so i play it (at least) each year smile.
Now i searched for new mods and i downloaded the Seven Anniversary Edition but i have some sort of problem whit the mods installation process.
All seems going ok but when i try to launch the game nothing happens. I investigated the problem and i've already read all possibles topic on this forum and i tried all possible configurations, settings, updates and so on...

After all i guess the problem is related to xmlTools. Here my logs:

DEBUGGER.TXT

Error 1 reported from File: F:\BungieDevelopment\BungieSource\BungieFrameWork\BFW_Source\BFW_TemplateManager\BFW_TM_Game.c, Line: 2888 (message follows)
This level is not valid
Error 1 reported from File: F:\BungieDevelopment\BungieSource\OniProj\OniGameSource\Oni_Level.c, Line: 405 (message follows)
Could not load level 0
Error 1 reported from File: F:\BungieDevelopment\BungieSource\OniProj\OniGameSource\Oni.c, Line: 943 (message follows)
Could not load level zero

INSTALLATION.LOG

Installation of mods started at 2014-02-08 22:58:18

AEI2 version: .16
Installed tools:
- OniSplit (AEI) (0.9.95.0)
- XmlTools (AEI) (0.9)
- XmlToolsDependencies (1.0)
- AE Read-Me (2013-04)
- Oni game app (Windows) (1)
- Daodan DLL (Windows) (3.5)
Installing mods:
- Menu Fixes (AE) (1.0)
- Globalization Fixes for Characters (1.2)
- Custom Character Variants (1)
- Airport Vehicle Fix (1.0)
- Bomber Fix (1.0)
- Widescreen Fixes (1.11)
- Unlock All Moves (1.3)
- Vanilla BSL (1.1)
- Missing Sounds (1.0)
- Better Weapons (1.2)
- Smart Barabas (1.1)
- Character Retexture (2.1)
- HQ Ninjas - Modified (2)
- HQ Ninjas (1)
- HD Training Room Textures (1.0)
- HQ Airport Textures (1)
- Better Consoles/Doors (1.0)
- Better Warehouse & Training (1.0)
- Muro HQ Textures Lighter (1)
- Dashing AI (2)
- Dash Blur (1.0)
- Prone Mode [Revisited]  (1.0.4)
- Fixed moves (1.0)
- Particle Trails (1.0)
- Soundtrack Renewal (0.1)
- HD Screens (1)
- Realistic Skies (1)


Applying XML patches
        Patches for level0_final
            Called:
                C:\Program Files (x86)\Oni\AE\Tools\xmlTools.exe
                patchfile
                -filename:C:\Users\Salvo\AppData\Local\Temp\oni_aei\installrun_temp-2014_02_08-22_58_19\level0_final\xml\masterpatch.oni-patch
            Returned: 1
                Error Code: 2
                The file specified: C:\Users\Salvo\AppData\Local\Temp\oni_aei\installrun_temp-2014_02_08-22_58_19\level0_final\xml\ONCCstriker_dream_lab.xml doesn't exists.
            Duration: 182 ms

Applying XML patches took 2390 ms

Importing levels
    Level level0_final
    Level level1_final
    Level level2_final
    Level level3_final
    Level level4_final
    Level level6_final
    Level level8_final
    Level level9_final
    Level level10_final
    Level level11_final
    Level level12_final
    Level level13_final
    Level level14_final
    Level level18_final
    Level level19_final
Importing levels took 709 ms


Installing BSL files
    Mod "Dashing AI"
        power_II
    Mod "Vanilla BSL"
        tctf_ii
        Airport
        Airport_III
        compound
        dream_lab
        EnvWarehouse
        lab
        manplant
        neuro
        power
        roof
        state
        tctf
    Mod "Widescreen Fixes"
        compound
        manplant
    Mod "Prone Mode [Revisited] "
        Airport
        Airport_III
        compound
        dream_lab
        EnvWarehouse
        lab
        manplant
        neuro
        power
        power_II
        roof
        state
        tctf
        tctf_ii

NOT copying intro
Copying outro

Installation ended at 2014-02-08 22:58:28
Process took 9 seconds

INITIALIZATION.LOG

Initialization of Edition core started at 2014-02-08 22:58:41
Cleaning directories
Exporting levels and moving files to level0
    level0_Final:
        Exporting
        Moving files

    level1_Final:
        Exporting
        Moving files

    level2_Final:
        Exporting
        Moving files

    level3_Final:
        Exporting
        Moving files

    level4_Final:
        Exporting
        Moving files

    level6_Final:
        Exporting
        Moving files

    level8_Final:
        Exporting
        Moving files

    level9_Final:
        Exporting
        Moving files

    level10_Final:
        Exporting
        Moving files

    level11_Final:
        Exporting
        Moving files

    level12_Final:
        Exporting
        Moving files

    level13_Final:
        Exporting
        Moving files

    level14_Final:
        Exporting
        Moving files

    level18_Final:
        Exporting
        Moving files

    level19_Final:
        Exporting
        Moving files

Reimporting levels
    level0_Final

    level1_Final

    level2_Final

    level3_Final

    level4_Final

    level6_Final

    level8_Final

    level9_Final

    level10_Final

    level11_Final

    level12_Final

    level13_Final

    level14_Final

    level18_Final

    level19_Final

Initialization ended at 2014-02-08 22:58:43
Process took 1 seconds

My vanilla folder is empty (is this ok??) and at each mods installation Oni\AE\GameDataFolder folder has no .dat and .raw file (such as level0_Final.dat, level3_Final.raw ...). Any suggestion?

Last edited by muro960 (8/2/14 18:26)

Offline

#2 8/2/14 18:23

Alloc
Member
From: Germany -> Darmstadt
Registered: 14/1/07
Website

Re: Error with AEInstaller

Hi,

XmlTools kicks in at a quite late stage and not the culprit here. Looks like the initialization itself went wrong. Could you show us initialization.log?

Regards,
Alloc


ONI2.net, link to just any important resource-pages about ONI.

Offline

#3 8/2/14 18:28

muro960
Member
Registered: 8/2/14

Re: Error with AEInstaller

Hi, I added the log to the first post. However, seems ok.
I add here some informations that may be useful:
OS: Windows 8 x64
UAC disabled
ONI installed from oiginal CD, Italian version
All folders have administrator permissions

Last edited by muro960 (8/2/14 18:30)

Offline

#4 8/2/14 18:37

Iritscen
Moderator
From: NC, USA
Registered: 22/10/07

Re: Error with AEInstaller

Hi there.  I think you are the one we got the support request from earlier today, right?  We were just discussing that.  It seems that something is preventing the AEI from doing its job.  We saw some nebulous error messages in your other logs that were attached to the email, and it's hard to say what caused them, but if you have any security apps, can you try temporarily disabling them before opening the AEI?  Once you then open the AEI, you should choose the menu item Mods>Re-initialize Edition to start over from the beginning since that's the part that failed.  Also, do you have full access to the AE\ folder, that is, write privileges?


byproducts are fine, but where's the beef?

Offline

#5 8/2/14 18:42

Iritscen
Moderator
From: NC, USA
Registered: 22/10/07

Re: Error with AEInstaller

Ah, you posted again before I did.  It seems that you already addressed some of what I was asking about.  Any third-party security programs active?

By the way, your Initialization log is indeed messed up pretty badly.  There's supposed to be details under each of those lines that is short right now -- "Exporting", "Moving files", etc.  They all failed, so there's no details.  The failure is apparently caused by OniSplit.exe not running, and we're not sure how that could happen.  Are you actually using an Administrator account?


byproducts are fine, but where's the beef?

Offline

#6 8/2/14 19:02

muro960
Member
Registered: 8/2/14

Re: Error with AEInstaller

I've disabled my unique protection program (Microsoft defender) and i've updated all system libraries. Yes, i've an administrator account. I also tried to do the process with clean data on another (brand new!!) pc. The result? The same identical thing...in addition when i try to execute oniSplit.exe i get this:

onisplit.png

"a device connected to the system is not running" .. o.O

ps. Guys you are awesome! smile

Last edited by muro960 (8/2/14 19:08)

Offline

#7 8/2/14 19:09

s10k
Member
From: Portugal
Registered: 14/1/07
Website

Re: Error with AEInstaller

You need to install .NET framework 2.0.

You can install 3.5 which includes 3.0 and 2.0:
https://blogs.technet.com/b/aviraj/arch … -mode.aspx

Try the method 1.

Last edited by s10k (8/2/14 19:12)

Offline

#8 8/2/14 19:42

muro960
Member
Registered: 8/2/14

Re: Error with AEInstaller

damned. NET Framework! I updated the net frmework yes, but to version 4! Guys thanks for the support, patience and the wonderful work you do! Now works like a charm!

For anyone who could face the same problem, i've read on microsoft (mdsn) website that doesn't exists a .net framework 2.0 installer for windows 8 but all the procedure has to be done directly from the system control panel (just like s10k suggested with his 2nd option!). smile

thank you again!  wink

Offline

#9 8/2/14 20:08

Iritscen
Moderator
From: NC, USA
Registered: 22/10/07

Re: Error with AEInstaller

Aha, glad that worked!  Thanks for helping, s10k.  I don't know exactly why we need the 2.0 framework and 4 doesn't work, but it was something Alloc and I were just discussing.  Somehow version 4 is different from 2 (I don't know, I'm not a Windows person :$).  Apparently when 4 is installed, it can report falsely to the AEI that 2.0 is installed, so that is why you weren't warned by the AEI about the problem.  Probably Alloc will correct me on some of this when he comes back in the morning....


byproducts are fine, but where's the beef?

Offline

#10 8/2/14 20:37

s10k
Member
From: Portugal
Registered: 14/1/07
Website

Re: Error with AEInstaller

The .NET 4.0 as far as I know is an entire new version. It does not have any connection with 2.0, 3.0 or 3.5. So for OniSplit is it recommended to install 3.5 which includes 2.0.

Last edited by s10k (8/2/14 20:38)

Offline

#11 8/2/14 21:23

Iritscen
Moderator
From: NC, USA
Registered: 22/10/07

Re: Error with AEInstaller

The .NET 4.0 as far as I know is an entire new version

Yes, Alloc was telling me something about this and I had to read more about it.  Apparently the underlying language is called CLR, and CLR version 2.0 was used through .NET 3.5 and is not compatible with .NET 4.0's CLR 4.  I wonder if Neo can do something about this, it seems like he needs to recompile OniSplit to target the new .NET framework. Microsoft says, "In addition, if your app targets version 2.0, 3.0, or 3.5, your users may be required to enable the .NET Framework 3.5 on a Windows 8 or Windows 8.1 computer before they can run your app."


byproducts are fine, but where's the beef?

Offline

Board footer

Powered by FluxBB